<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly

define( 'ATKP_EVENT', strtolower( ATKP_PLUGIN_PREFIX ) . '_event' );
define( 'ATKP_CHECK', strtolower( ATKP_PLUGIN_PREFIX ) . '_check' );
define( 'ATKP_CSVIMPORT', strtolower( ATKP_PLUGIN_PREFIX ) . '_csvimport' );

define( 'ATKP_SHOP_POSTTYPE', strtolower( ATKP_PLUGIN_PREFIX ) . '_shop' );
define( 'ATKP_LIST_POSTTYPE', strtolower( ATKP_PLUGIN_PREFIX ) . '_list' );
define( 'ATKP_PRODUCT_POSTTYPE', strtolower( ATKP_PLUGIN_PREFIX ) . '_product' );
define( 'ATKP_TEMPLATE_POSTTYPE', strtolower( ATKP_PLUGIN_PREFIX ) . '_template' );
define( 'ATKP_FIELDGROUP_POSTTYPE', strtolower( ATKP_PLUGIN_PREFIX ) . '_fieldgroup' );

define( 'ATKP_SHORTCODE', strtolower( ATKP_PLUGIN_PREFIX ) . '_shortcode' );
define( 'ATKP_LIST_SHORTCODE', strtolower( ATKP_PLUGIN_PREFIX ) . '_list' );
define( 'ATKP_PRODUCT_SHORTCODE', strtolower( ATKP_PLUGIN_PREFIX ) . '_product' );
define( 'ATKP_SEARCHFORM_SHORTCODE', strtolower( ATKP_PLUGIN_PREFIX ) . '_searchform' );
define( 'ATKP_WIDGET', strtolower( ATKP_PLUGIN_PREFIX ) . '_widget' );
define( 'ATKP_FILTER_WIDGET', strtolower( ATKP_PLUGIN_PREFIX ) . '_filterwidget' );
define( 'ATKP_LIVELIST_SHORTCODE', strtolower( ATKP_PLUGIN_PREFIX ) . '_livelist' );

define( 'ATKP_LOGFILE', ATKP_PLUGIN_DIR . '/log/log.txt' );
define( 'ATKP_TEMPLATEDIR', ATKP_PLUGIN_DIR . '/templates' );


define( 'ATKP_SUBSHOPTYPE', '-1' );

//** Credits im Kopf erzeugen **//
add_action( 'wp_head', 'my_affiliate_toolkit_tags' );

function my_affiliate_toolkit_tags() {
	echo "\r\n" . '<!-- ' . __( 'This page uses the Affiliate Toolkit', ATKP_PLUGIN_PREFIX ) . ' / https://www.affiliate-toolkit.com -->' . "\r\n\r\n";
}

//registering the internal autoloader
require_once ATKP_PLUGIN_DIR . '/includes/atkp_autoloader.php';
$atkp_autoloader = new atkp_autoloader();
atkp_autoloader::$loader->register_classes();

ATKPSettings::load_settings();

$atkp_options = new atkp_options();

add_filter( 'atkp_variation_name', 'my_atkp_variation_name', 10 );

function my_atkp_variation_name( $variationName ) {
	switch ( $variationName ) {
		case 'Size':
			return 'Größe';
			return __( 'Size', ATKP_PLUGIN_PREFIX );
			break;
		case 'Color':
			return __( 'Color', ATKP_PLUGIN_PREFIX );
			break;
		default:
			return $variationName;
	}
}


add_filter( 'atkp_post_exists', 'my_atkp_post_exists', 10, 7 );

function my_atkp_post_exists( $post_id, $shopid, $asin, $asintype, $title, $brand, $mpn ) {

	if($brand != '' && $mpn != '') {

		$args  = array(
			'post_type'      => ATKP_PRODUCT_POSTTYPE,
			'post_status'    => array( 'publish', 'draft' ),
			'posts_per_page' => 2,

			'meta_query' => array(
				'relation' => 'AND',
				array(
					'key'     => ATKP_PRODUCT_POSTTYPE.'_mpn',
					'value'   => $mpn,
					'compare' => '=',
				),
				array(
					'key'     => ATKP_PRODUCT_POSTTYPE.'_brand',
					'compare' => '=',
					'value'   => $brand,
				),
			)
		);

		$posts = get_posts( $args );

		if ( count( $posts ) == 1 ) {
			return $posts[0]->ID;
		}

		return $post_id;
	}

	switch ( $asintype ) {
		default:
		case 'ASIN':
			$prdid = atkp_product::idbyasin( $asin );

			if ( $prdid > 0 ) {
				$post_id = $prdid;
			}
			break;
		case 'EAN':
			$prdid = atkp_product::idbyean( $asin );

			if ( $prdid > 0 ) {
				$post_id = $prdid;
			}
			break;
		case 'ARTICLENUMBER':
			break;
		case 'TITLE':
			$prdid = atkp_product::idbyname( $asin );

			if ( $prdid > 0 ) {
				$post_id = $prdid;
			}
			break;
	}

	return $post_id;

}

// Our filter callback function
function my_atkp_load_providers( $providers, $providerid ) {

	if ( $providerid == '1' || $providerid == null ) {
		require_once ATKP_PLUGIN_DIR . '/includes/shopproviders/atkp_shop_provider_amazon.php';
		$providers['1'] = new atkp_shop_provider_amazon();
	}

	return $providers;
}

add_filter( 'atkp_load_providers', 'my_atkp_load_providers', 10, 2 );

add_filter( 'plugin_action_links_' . plugin_basename(ATKP_PLUGIN_FILE), 'my_atkp_action_links' );

function my_atkp_action_links ( $links ) {
	$mylinks = array(
		ATKPHomeLinks::ReplaceLinkType('<a href="%link_get-license-key%" class="atkp-plugins-gopro" target="_blank" rel="noopener">'.__('Choose Pro', ATKP_PLUGIN_PREFIX).'</a>'),
	);
	return array_merge( $links, $mylinks );
}


add_action('admin_menu', 'admin_menu_edit_tags_page',20);
function admin_menu_edit_tags_page(){
	// please set $YOURPARENTSLUG as parent slug of your menu item (parent of your menu)
	// manage_tags to manage_terms of your taxonomy capability (its visible whan you var_dump($wp_taxonomies[$taxonomyyouwant]));
	add_submenu_page(
		ATKP_PLUGIN_PREFIX.'_affiliate_toolkit-plugin',
		__('Choose Pro', ATKP_PLUGIN_PREFIX),
		__('Choose Pro', ATKP_PLUGIN_PREFIX),
		'manage_options',
		ATKPHomeLinks::ReplaceLinkType('%link_get-license-key%')
	);
}

?>